Bug 1113211 - Chromium 70 update broke video playback on AMD videocards
Chromium 70 update broke video playback on AMD videocards
Status: RESOLVED FIXED
Classification: openSUSE
Product: openSUSE Tumbleweed
Classification: openSUSE
Component: X.Org
Current
Other Other
: P5 - None : Normal (vote)
: ---
Assigned To: E-mail List
E-mail List
:
Depends on:
Blocks:
  Show dependency treegraph
 
Reported: 2018-10-25 05:17 UTC by Iakov Karpov
Modified: 2019-07-21 11:33 UTC (History)
5 users (show)

See Also:
Found By: ---
Services Priority:
Business Priority:
Blocker: ---
Marketing QA Status: ---
IT Deployment: ---
sndirsch: needinfo? (srid)


Attachments

Note You need to log in before you can comment on or make changes to this bug.
Description Iakov Karpov 2018-10-25 05:17:56 UTC
Recent chromium update flipped on vaapi-based hardware acceleration for video playback, and it broke playing online videos with AMD hardware.

Mesa supports BGRA10 formats for AMD hardware, and chromium is not aware of that, see upstream bugs: https://bugs.freedesktop.org/show_bug.cgi?id=104597 https://bugs.freedesktop.org/show_bug.cgi?id=106490
Comment 1 Andreas Stieger 2018-10-25 06:33:36 UTC
(In reply to Iakov Karpov from comment #0)
> Recent chromium update flipped on vaapi-based hardware acceleration for
> video playback, and it broke playing online videos with AMD hardware.

Let's be kind to our future selves and exactly specify which update/version, please.
Comment 2 Tomáš Chvátal 2018-10-25 08:43:08 UTC
As a workaround set out in your drirc config

 <option name="allow_rgb10_configs" value="false"/>

@Msrb: did you manage to prepare the mesa update changing this behaviour as we talked before on irc?

In short this is not a bug of chromium, it just exposes the bug in Mesa...
Comment 3 Michal Srb 2018-10-25 11:48:26 UTC
(In reply to Tomáš Chvátal from comment #2)
> As a workaround set out in your drirc config
> 
>  <option name="allow_rgb10_configs" value="false"/>
> 
> @Msrb: did you manage to prepare the mesa update changing this behaviour as
> we talked before on irc?

Sorry, I did not get to it yet, it's in my queue.
Comment 4 Iakov Karpov 2018-10-25 13:40:28 UTC
(In reply to Iakov Karpov from comment #0)
> Recent chromium update flipped on vaapi-based hardware acceleration for
> video playback, and it broke playing online videos with AMD hardware.
> 
> Mesa supports BGRA10 formats for AMD hardware, and chromium is not aware of
> that, see upstream bugs: https://bugs.freedesktop.org/show_bug.cgi?id=104597
> https://bugs.freedesktop.org/show_bug.cgi?id=106490

Sorry I forgot to mention it. Current version in repo is 70.0.3538.67-lp150.2.20.1, last working one is 69.0.3497.100-lp150-2.16.1.
Comment 5 Michal Srb 2018-10-25 14:25:32 UTC
I want to target the workaround as specifically as possible. I don't have AMD card on me right now. Can someone please verify that following drirc structure still does the trick:

<driconf>
  <device driver="radeonsi">
    <application name="Chromium" executable="chromium">
      <option name="allow_rgb10_configs" value="false"/>
    </application>
  </device>
</driconf>
Comment 6 Tomáš Chvátal 2018-10-25 14:44:50 UTC
Works fine for my machine.
Comment 7 Michal Srb 2018-10-25 15:10:29 UTC
Thank you for testing. Is it also needed on Factory/Tumbleweed?
Comment 8 Tomáš Chvátal 2018-10-26 08:25:47 UTC
(In reply to Michal Srb from comment #7)
> Thank you for testing. Is it also needed on Factory/Tumbleweed?

Yes please, both 15.0 and TW exhibit this issue.
Comment 9 Michal Srb 2018-10-26 11:49:09 UTC
Factory submission:
https://build.opensuse.org/request/show/644833

SLE15 (eventually Leap 15) submission:
https://build.suse.de/request/show/175814

The /etc/drirc file is declared as %config, so it will update itself for every user, even if they changed the file.
Comment 10 Michal Srb 2018-10-26 12:01:36 UTC
By the way, future versions of Mesa will support /etc/drirc.d/ directory, so the workaround could put in its own file and packed with Chromium. But sadly that is not yet supported in Leap 15 or Tumbleweed.
Comment 11 Swamp Workflow Management 2018-11-01 15:40:05 UTC
This is an autogenerated message for OBS integration:
This bug (1113211) was mentioned in
https://build.opensuse.org/request/show/645898 Factory / Mesa
Comment 13 Swamp Workflow Management 2018-11-15 17:50:05 UTC
This is an autogenerated message for OBS integration:
This bug (1113211) was mentioned in
https://build.opensuse.org/request/show/649332 Factory / Mesa
Comment 15 Swamp Workflow Management 2018-11-17 23:10:06 UTC
This is an autogenerated message for OBS integration:
This bug (1113211) was mentioned in
https://build.opensuse.org/request/show/649970 Factory / Mesa
Comment 18 Swamp Workflow Management 2018-11-27 11:40:06 UTC
This is an autogenerated message for OBS integration:
This bug (1113211) was mentioned in
https://build.opensuse.org/request/show/652142 Factory / Mesa
Comment 19 Swamp Workflow Management 2018-11-29 14:00:07 UTC
This is an autogenerated message for OBS integration:
This bug (1113211) was mentioned in
https://build.opensuse.org/request/show/652620 Factory / Mesa
Comment 20 Swamp Workflow Management 2018-12-05 23:09:43 UTC
SUSE-RU-2018:3993-1: An update that has one recommended fix can now be installed.

Category: recommended (low)
Bug References: 1113211
CVE References: 
Sources used:
SUSE Linux Enterprise Workstation Extension 15 (src):    Mesa-drivers-18.0.2-27.3.1
SUSE Linux Enterprise Module for Open Buildservice Development Tools 15 (src):    Mesa-drivers-18.0.2-27.3.1
SUSE Linux Enterprise Module for Basesystem 15 (src):    Mesa-18.0.2-27.3.1, Mesa-drivers-18.0.2-27.3.1
Comment 21 Swamp Workflow Management 2018-12-07 14:50:05 UTC
This is an autogenerated message for OBS integration:
This bug (1113211) was mentioned in
https://build.opensuse.org/request/show/656073 Factory / Mesa
Comment 22 Swamp Workflow Management 2018-12-07 23:20:54 UTC
openSUSE-RU-2018:4040-1: An update that has one recommended fix can now be installed.

Category: recommended (low)
Bug References: 1113211
CVE References: 
Sources used:
openSUSE Leap 15.0 (src):    Mesa-18.0.2-lp150.18.3.1, Mesa-drivers-18.0.2-lp150.18.3.1
Comment 23 Swamp Workflow Management 2018-12-11 14:30:07 UTC
This is an autogenerated message for OBS integration:
This bug (1113211) was mentioned in
https://build.opensuse.org/request/show/657204 Factory / Mesa
Comment 24 Swamp Workflow Management 2018-12-12 12:40:07 UTC
This is an autogenerated message for OBS integration:
This bug (1113211) was mentioned in
https://build.opensuse.org/request/show/657521 Factory / Mesa
Comment 25 Matt O 2019-01-28 18:17:56 UTC
This problem persists for me using OpenSUSE Tumbleweed updated to snapshot 20190125. I can see that the patch is included if I open the file in Kate but when I turn hardware acceleration back on in Chromium the issue persists. My video card is AMD Radeon™ HD R9 360 2GB GDDR5
Comment 26 Matt O 2019-01-29 06:55:54 UTC
Also running: Chromium Version 71.0.3578.98 (openSUSE Build) (64-bit)
Comment 28 Stefan Dirsch 2019-03-27 17:16:33 UTC
Matt O, is this still an issue with current TW with newer Mesa 19?
Comment 29 Matt O 2019-03-27 21:25:02 UTC
(In reply to Stefan Dirsch from comment #28)
> Matt O, is this still an issue with current TW with newer Mesa 19?

It is no longer an issue. I turned hardware acceleration on in Chromium and no longer experience the discoloration. Thank you!
Comment 30 Tomáš Chvátal 2019-03-28 09:21:51 UTC
(In reply to Stefan Dirsch from comment #28)
> Matt O, is this still an issue with current TW with newer Mesa 19?

@stefan, could you maybe sent this as an update to SLE15 Updates to get this issue fixed on Leap 15 where it is still observable?

I know it will be fixed in 15.1 but as this is trivial config change it should not break stuff.
Comment 31 Tomáš Chvátal 2019-03-28 09:23:00 UTC
Ah nevermind, it was submitted by Michal and it seems not published yet.
Comment 32 Stefan Dirsch 2019-03-28 10:05:43 UTC
(In reply to Tomáš Chvátal from comment #31)
> Ah nevermind, it was submitted by Michal and it seems not published yet.

Hmm. According to comment#22 the update should have been released already.
Comment 33 Stefan Sauer 2019-07-21 11:31:20 UTC
btw. this is also required for totem. I added a
/usr/share/drirc.d/10-mesa-defaults-user.conf
containing
<driconf>
    <!-- Please always enable app-specific workarounds for all drivers and
         screens. -->
    <device>
        <!-- This is workaround to prevent distorted colors on hardware accelerated video in Totem. https://bugzilla.opensuse.org/show_bug.cgi?id=1113211 -->
        <application name="Totem" executable="totem">
            <option name="allow_rgb10_configs" value="false" />
        </application>
    </device>
</driconf>

to fix it. Maybe this could be merged into the /usr/share/drirc.d/00-mesa-defaults.conf?
Comment 34 Stefan Sauer 2019-07-21 11:33:31 UTC
Sorry, this is closed, fixed a new bug #1142270